<?xml version="1.0" encoding="utf-8"?>
<navigation xmlns:android="http://schemas.android.com/apk/res/android"
    xmlns:app="http://schemas.android.com/apk/res-auto"
    xmlns:tools="http://schemas.android.com/tools"
    android:id="@+id/post_test_nav_graph"
    app:startDestination="@id/testScoreFragment">

    <action
        android:id="@+id/globalAction_to_web"
        app:destination="@id/chrome_page">
        <argument
            android:name="url"
            app:argType="string"
            app:nullable="false" />
    </action>
    <action
        android:id="@+id/globalAction_to_nutritionOptionsFragment"
        app:destination="@id/nutritionOptionsFragment" />

    <fragment
        android:id="@+id/postTestGoalsSelectFragment"
        android:name="com.vessel.app.goalsselection.posttest.PostTestGoalsSelectFragment"
        android:label="postTestGoalsSelectFragment"
        tools:layout="@layout/fragment_post_test_goals_select">
        <action
            android:id="@+id/action_postTestGoalsSelectFragment_to_oneGoalSelectionFragment"
            app:destination="@id/oneGoalSelectionFragment" />
        <action
            android:id="@+id/action_postTestGoalsSelectFragment_to_programSelectionFragment"
            app:destination="@id/programSelectionFragment" />
        <action
            android:id="@+id/action_postTestGoalsSelectFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />

    </fragment>

    <fragment
        android:id="@+id/oneGoalSelectionFragment"
        android:name="com.vessel.app.onegoalselection.OneGoalSelectionFragment"
        android:label="fragment_one_goal_selection"
        tools:layout="@layout/fragment_one_goal_selection">
        <argument
            android:name="showBackButton"
            app:argType="boolean" />
        <action
            android:id="@+id/action_oneGoalSelectionFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_oneGoalSelectionFragment_to_programSelectionFragment"
            app:destination="@id/programSelectionFragment" />
    </fragment>

    <fragment
        android:id="@+id/topRecommendationsFragment"
        android:name="com.vessel.app.toprecommendations.TopRecommendationsFragment"
        android:label="TopRecommendationsFragment"
        tools:layout="@layout/fragment_top_recommendation">
        <action
            android:id="@+id/action_topRecommendationsFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_topRecommendationsFragment_to_tipDetailsDialogFragment"
            app:destination="@id/tipDetailsDialogFragment" />
        <argument
            android:name="goalSelected"
            app:argType="com.vessel.app.goalsselection.model.GoalSelect" />
    </fragment>

    <fragment
        android:id="@+id/scoreFragment"
        android:name="com.vessel.app.score.ui.ScoreFragment"
        android:label="fragment_score"
        tools:layout="@layout/fragment_score">
        <action
            android:id="@+id/action_score_to_score_dialog"
            app:destination="@id/scoreDialogFragment" />
        <action
            android:id="@+id/action_scoreFragment_to_addSupplementsFragment"
            app:destination="@id/addSupplementsFragment" />
        <action
            android:id="@+id/action_scoreFragment_to_nutritionCoachFragment"
            app:destination="@id/postTestNutritionCoachFragment" />
        <action
            android:id="@+id/action_scoreFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_scoreFragment_to_planNeedUpdatesFragment"
            app:destination="@id/planNeedUpdatesFragment" />
    </fragment>

    <dialog
        android:id="@+id/scoreDialogFragment"
        android:name="com.vessel.app.scoredialog.ScoreDialogFragment">
        <argument
            android:name="wellness"
            app:argType="boolean"
            app:nullable="false" />
    </dialog>

    <fragment
        android:id="@+id/addSupplementsFragment"
        android:name="com.vessel.app.addsupplements.ui.AddSupplementsFragment"
        android:label="add_supplements_fragment"
        tools:layout="@layout/fragment_add_supplements">
        <action
            android:id="@+id/action_addSupplementsFragment_to_lastStepFragmentFragment"
            app:destination="@id/postTestLastStepFragment" />
    </fragment>
    <chrome
        android:id="@+id/chrome_page"
        android:name="com.vessel.app.base.navigation.ChromeCustomTabsNavigator"
        android:label="Chrome Page"
        app:secondaryToolbarColor="@color/colorPrimaryDark"
        app:toolbarColor="@color/colorPrimary" />
    <fragment
        android:id="@+id/postTestNutritionCoachFragment"
        android:name="com.vessel.app.posttestnutritioncoach.ui.PostTestNutritionCoachFragment"
        android:label="NutritionCoachFragment"
        tools:layout="@layout/fragment_post_test_nutrition_coach">
        <action
            android:id="@+id/action_nutritionCoachFragment_to_lastStepFragment"
            app:destination="@id/postTestLastStepFragment" />
    </fragment>


    <fragment
        android:id="@+id/postTestLastStepFragment"
        android:name="com.vessel.app.findcoach.ui.PostTestLastStepFragment"
        android:label="FindSupplementsFragment"
        tools:layout="@layout/fragment_post_test_last_step" />

    <action
        android:id="@+id/action_go_to_home"
        app:destination="@id/homeActivity"
        app:popUpTo="@id/auth_nav_graph"
        app:popUpToInclusive="true" />

    <activity
        android:id="@+id/homeActivity"
        android:name="com.vessel.app.home.HomeActivity"
        android:label="activity_home"
        tools:layout="@layout/activity_home" />
    <fragment
        android:id="@+id/testWinScoreFragment"
        android:name="com.vessel.app.testwinscore.ui.TestWinScoreFragment"
        android:label="TestWinScoreFragment">
        <action
            android:id="@+id/action_testWinScoreFragment_to_postTestNutritionCoachFragment"
            app:destination="@id/postTestNutritionCoachFragment" />
        <action
            android:id="@+id/action_testWinScoreFragment_to_scoreDialogFragment"
            app:destination="@id/scoreDialogFragment" />
        <action
            android:id="@+id/action_testWinScoreFragment_to_addSupplementsFragment"
            app:destination="@id/addSupplementsFragment" />
        <action
            android:id="@+id/action_testWinScoreFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_testWinScoreFragment_to_planNeedUpdatesFragment"
            app:destination="@id/planNeedUpdatesFragment" />
    </fragment>
    <fragment
        android:id="@+id/testScoreFragment"
        android:name="com.vessel.app.testscore.ui.TestScoreFragment"
        android:label="TestScoreFragment">
        <action
            android:id="@+id/action_score_to_test_score_info"
            app:destination="@id/testScoreInfoFragment" />
        <action
            android:id="@+id/action_testScoreFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_testScoreFragment_to_planNeedUpdatesFragment"
            app:destination="@id/planNeedUpdatesFragment" />
        <action
            android:id="@+id/action_testScoreFragment_to_toolTipScoreFragment"
            app:destination="@id/toolTipScoreFragment" />
        <action
            android:id="@+id/action_testScoreFragment_to_reagentGraphFragment"
            app:destination="@id/reagentGraphFragment" />
        <action
            android:id="@+id/action_testScoreFragment_to_planPersonalizingFragment"
            app:destination="@id/planPersonalizingFragment" />

    </fragment>

    <fragment
        android:id="@+id/testScoreInfoFragment"
        android:name="com.vessel.app.testscoreinfo.TestScoreInfoFragment">
        <argument
            android:name="score"
            app:argType="string"
            app:nullable="false" />
        <action
            android:id="@+id/action_testScoreInfoFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_testScoreInfoFragment_to_planNeedUpdatesFragment"
            app:destination="@id/planNeedUpdatesFragment" />
    </fragment>
    <fragment
        android:id="@+id/nutritionOptionsFragment"
        android:name="com.vessel.app.nutritionsoptions.NutritionOptionsFragment"
        android:label="NutritionOptionsFragment" />
    <fragment
        android:id="@+id/createPlanRecommendationFragment"
        android:name="com.vessel.app.planrecommendation.ui.CreatePlanRecommendationFragment"
        android:label="CreatePlanRecommendationFragment">
        <argument
            android:name="recommendationType"
            app:argType="com.vessel.app.wellness.RecommendationType" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_planRecommendationReadyFragment"
            app:destination="@id/planRecommendationReadyFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_onboardingDietsFragment"
            app:destination="@id/onboardingDietsFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_onboardingFoodFragment"
            app:destination="@id/onboardingFoodFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_onboardingLifestyleFragment"
            app:destination="@id/onboardingLifestyleFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_testingReminderDialog"
            app:destination="@id/testingReminderDialog" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_postTestGoalsSelectFragment"
            app:destination="@id/postTestGoalsSelectFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_oneGoalSelectionFragment"
            app:destination="@id/oneGoalSelectionFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_programSelectionFragment"
            app:destination="@id/programSelectionFragment" />
    </fragment>
    <fragment
        android:id="@+id/planRecommendationReadyFragment"
        android:name="com.vessel.app.planrecommendation.ready.PlanRecommendationReadyFragment"
        android:label="PlanRecommendationReadyFragment" />
    <fragment
        android:id="@+id/onboardingDietsFragment"
        android:name="com.vessel.app.onboarding.diets.ui.OnboardingDietsFragment"
        android:label="onboardingTermsFragment"
        tools:layout="@layout/fragment_diets_onboarding">
        <argument
            android:name="isFirstTestFlow"
            app:argType="boolean" />
        <argument
            android:name="isLastStep"
            app:argType="boolean" />
        <argument
            android:name="showBackButton"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingDietsFragment_to_onboardingAllergiesFragment"
            app:destination="@id/onboardingAllergiesFragment" />
    </fragment>

    <fragment
        android:id="@+id/onboardingAllergiesFragment"
        android:name="com.vessel.app.onboarding.allergies.ui.OnboardingAllergiesFragment"
        android:label="onboardingTermsFragment"
        tools:layout="@layout/fragment_diets_onboarding">
        <argument
            android:name="isFirstTestFlow"
            app:argType="boolean" />
        <argument
            android:name="isLastStep"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingAllergiesFragment_to_onboardingGoalsFragment"
            app:destination="@id/onboardingGoalsFragment" />
        <action
            android:id="@+id/action_onboardingAllergiesFragment_to_onboardingFoodFragment"
            app:destination="@id/onboardingFoodFragment" />
        <action
            android:id="@+id/action_onboardingAllergiesFragment_to_onboardingTermsFragment"
            app:destination="@id/onboardingTermsFragment" />
    </fragment>

    <fragment
        android:id="@+id/onboardingTermsFragment"
        android:name="com.vessel.app.onboarding.terms.ui.OnboardingTermsFragment"
        android:label="onboardingTermsFragment"
        tools:layout="@layout/fragment_terms_onboarding">
        <argument
            android:name="isFirstTestFlow"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingTermsFragment_to_home"
            app:destination="@id/homeActivity" />
        <action
            android:id="@+id/action_onboardingTermsFragment_to_onboardingGoalsFragment"
            app:destination="@id/onboardingGoalsFragment" />
    </fragment>
    <fragment
        android:id="@+id/onboardingGoalsFragment"
        android:name="com.vessel.app.onboarding.goals.ui.OnboardingGoalsFragment"
        android:label="onboardingGoalsFragment"
        tools:layout="@layout/fragment_goals_onboarding">
        <argument
            android:name="isFirstTestFlow"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingGoalsFragment_to_onBoardingOneGoalSelectionFragment"
            app:destination="@id/onBoardingOneGoalSelectionFragment" />
    </fragment>
    <fragment
        android:id="@+id/onBoardingOneGoalSelectionFragment"
        android:name="com.vessel.app.onboarding.onegoalselection.OnBoardingOneGoalSelectionFragment"
        android:label="onBoardingOneGoalSelectionFragment"
        tools:layout="@layout/fragment_on_boarding_one_goal_selection">
        <action
            android:id="@+id/action_onBoardingOneGoalSelectionFragment_to_onboardingTermsFragment"
            app:destination="@id/onboardingTermsFragment" />
        <action
            android:id="@+id/action_onBoardingOneGoalSelectionFragment_to_rateMainGoalSelectionFragment"
            app:destination="@id/rateMainGoalSelectionFragment"
            app:popUpTo="@id/onBoardingOneGoalSelectionFragment"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/onboardingFoodFragment"
        android:name="com.vessel.app.onboarding.food.ui.OnboardingFoodFragment"
        android:label="OnboardingFoodFragment">
        <argument
            android:name="isLastStep"
            app:argType="boolean" />
        <argument
            android:name="showBackButton"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingFoodFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
    </fragment>
    <fragment
        android:id="@+id/onboardingLifestyleFragment"
        android:name="com.vessel.app.onboarding.lifestyle.ui.OnboardingLifestyleFragment"
        android:label="OnboardingLifestyleFragment">
        <argument
            android:name="isLastStep"
            app:argType="boolean" />
        <argument
            android:name="showBackButton"
            app:argType="boolean" />
        <action
            android:id="@+id/action_onboardingLifestyleFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_onboardingLifestyleFragment_to_reagentPersonalizingFragment"
            app:destination="@id/reagentPersonalizingFragment" />
    </fragment>
    <fragment
        android:id="@+id/planNeedUpdatesFragment"
        android:name="com.vessel.app.planneedupdates.PlanNeedUpdatesFragment"
        android:label="PlanNeedUpdatesFragment">
        <action
            android:id="@+id/action_planNeedUpdatesFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
    </fragment>
    <fragment
        android:id="@+id/toolTipScoreFragment"
        android:name="com.vessel.app.tooltipscore.ui.ToolTipScoreFragment"
        android:label="ToolTipScoreFragment">
        <action
            android:id="@+id/action_toolTipScoreFragment_to_reagentGraphFragment"
            app:destination="@id/reagentGraphFragment" />
    </fragment>
    <fragment
        android:id="@+id/reagentGraphFragment"
        android:name="com.vessel.app.testscore.reagentgraph.ReagentGraphFragment"
        android:label="fragment_reagentTestResult"
        tools:layout="@layout/fragment_reagent_graph">
        <argument
            android:name="reagentHeader"
            app:argType="com.vessel.app.reagent.model.ReagentHeader"
            app:nullable="false" />
        <action
            android:id="@+id/action_reagentGraphFragment_to_testErrorHintDialog"
            app:destination="@id/testErrorHintDialog" />
    </fragment>
    <dialog
        android:id="@+id/testErrorHintDialog"
        android:name="com.vessel.app.testerrordialog.ui.TestErrorHintDialog"
        android:label="TestErrorHintDialog" />

    <dialog
        android:id="@+id/tipDetailsDialogFragment"
        android:name="com.vessel.app.wellness.tipdetailspopup.TipDetailsDialogFragment"
        android:label="tipDetailsDialogFragment"
        tools:layout="@layout/fragment_tip_details_dialog">

        <argument
            android:name="tip"
            app:argType="com.vessel.app.wellness.model.Tip" />

    </dialog>

    <fragment
        android:id="@+id/testingReminderDialog"
        android:name="com.vessel.app.planreminderdialog.testingreminder.TestingReminderDialog"
        android:label="testingReminderDialog"
        tools:layout="@layout/fragment_testing_reminder_dialog">
        <argument
            android:name="reminderHeader"
            app:argType="com.vessel.app.planreminderdialog.model.PlanReminderHeader"
            app:nullable="false" />
    </fragment>
    <fragment
        android:id="@+id/programSelectionFragment"
        android:name="com.vessel.app.programs.programselection.ProgramSelectionFragment"
        android:label="ProgramSelectionFragment">
        <action
            android:id="@+id/action_programSelectionFragment_to_createPlanRecommendationFragment"
            app:destination="@id/createPlanRecommendationFragment" />
        <action
            android:id="@+id/action_programSelectionFragment_to_programInfoDialogFragment"
            app:destination="@id/programInfoDialogFragment" />
        <argument
            android:name="goalIdSelected"
            app:argType="integer" />
        <argument
            android:name="showBackButton"
            app:argType="boolean" />
    </fragment>
    <dialog
        android:id="@+id/programInfoDialogFragment"
        android:name="com.vessel.app.programs.popupdetails.ProgramInfoDialogFragment"
        android:label="programInfoDialogFragment"
        tools:layout="@layout/fragment_program_info_dialog">
        <argument
            android:name="program"
            app:argType="com.vessel.app.common.model.Program" />

    </dialog>
    <fragment
        android:id="@+id/rateMainGoalSelectionFragment"
        android:name="com.vessel.app.onboarding.ratemaingoal.RateMainGoalSelectionFragment"
        android:label="RateMainGoalSelectionFragment">
        <action
            android:id="@+id/action_rateMainGoalSelectionFragment_to_pickAnotherGoalFragment"
            app:destination="@id/pickAnotherGoalFragment"
            app:popUpTo="@id/rateMainGoalSelectionFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_rateMainGoalSelectionFragment_to_problemSelectionFragment"
            app:destination="@id/problemSelectionFragment" />

    </fragment>
    <fragment
        android:id="@+id/pickAnotherGoalFragment"
        android:name="com.vessel.app.onboarding.pickothergoal.PickAnotherGoalFragment"
        android:label="PickAnotherGoalFragment">

        <action
            android:id="@+id/action_pickAnotherGoalFragment_to_oneGoalSelectionFragment"
            app:destination="@id/onBoardingOneGoalSelectionFragment"
            app:popUpTo="@id/pickAnotherGoalFragment"
            app:popUpToInclusive="true" />
        <action
            android:id="@+id/action_rateMainGoalSelectionFragment_to_problemSelectionFragment"
            app:destination="@id/problemSelectionFragment" />
    </fragment>
    <fragment
        android:id="@+id/problemSelectionFragment"
        android:name="com.vessel.app.onboarding.problemselection.ProblemSelectionFragment"
        android:label="ProblemSelectionFragment">
        <action
            android:id="@+id/action_problemSelectionFragment_to_onBoardingBadHabitsSelectionFragment"
            app:destination="@id/onBoardingBadHabitsSelectionFragment" />
    </fragment>
    <fragment
        android:id="@+id/onBoardingBadHabitsSelectionFragment"
        android:name="com.vessel.app.onboarding.badhabitsselection.OnBoardingBadHabitsSelectionFragment"
        android:label="OnBoardingBadHabitsSelectionFragment">
        <action
            android:id="@+id/action_onBoardingBadHabitsSelectionFragment_to_onBoardingFinalStepOneFragment"
            app:destination="@id/onBoardingFinalStepOneFragment" />
    </fragment>
    <fragment
        android:id="@+id/onBoardingFinalStepTwoFragment"
        android:name="com.vessel.app.onboarding.finalonboarding.steptwo.OnBoardingFinalStepTwoFragment"
        android:label="OnBoardingFinalStepTwoFragment">
        <action
            android:id="@+id/action_onBoardingFinalStepTwoFragment_to_onBoardingFinalStepThreeFragment"
            app:destination="@id/onBoardingFinalStepThreeFragment" />
    </fragment>
    <fragment
        android:id="@+id/onBoardingFinalStepOneFragment"
        android:name="com.vessel.app.onboarding.finalonboarding.stepone.OnBoardingFinalStepOneFragment"
        android:label="OnBoardingFinalStepOneFragment">
        <action
            android:id="@+id/action_onBoardingFinalStepOneFragment_to_onBoardingFinalStepTwoFragment"
            app:destination="@id/onBoardingFinalStepTwoFragment" />
    </fragment>
    <fragment
        android:id="@+id/onBoardingFinalStepThreeFragment"
        android:name="com.vessel.app.onboarding.finalonboarding.stepthree.OnBoardingFinalStepThreeFragment"
        android:label="OnBoardingFinalStepThreeFragment">
        <action
            android:id="@+id/action_threeStepFragment_to_home"
            app:destination="@id/homeActivity"
            app:popUpTo="@id/auth_nav_graph"
            app:popUpToInclusive="true" />
    </fragment>
    <fragment
        android:id="@+id/planPersonalizingFragment"
        android:name="com.vessel.app.planpersonalizing.ui.PlanPersonalizingFragment"
        android:label="PlanPersonalizingFragment">

        <action
            android:id="@+id/action_planPersonalizingFragment_to_reagentPersonalizingFragment"
            app:destination="@id/reagentPersonalizingFragment" />
    </fragment>
    <fragment
        android:id="@+id/reagentPersonalizingFragment"
        android:name="com.vessel.app.reagentpersonalizing.ui.ReagentPersonalizingFragment"
        android:label="ReagentPersonalizingFragment">
        <argument
            android:name="showFinalScreen"
            app:argType="boolean"/>
        <action
            android:id="@+id/action_reagentPersonalizingFragment_to_foodRecommendationFragment"
            app:destination="@id/foodRecommendationFragment" />
        <action
            android:id="@+id/action_createPlanRecommendationFragment_to_onboardingLifestyleFragment"
            app:destination="@id/onboardingLifestyleFragment" />
        <action
            android:id="@+id/action_reagentPersonalizingFragment_to_waterRecommendationFragment"
            app:destination="@id/waterRecommendationFragment" />
        <action
            android:id="@+id/action_reagentPersonalizingFragment_to_testingReminderDialog"
            app:destination="@id/testingReminderDialog" />
    </fragment>
    <fragment
        android:id="@+id/foodRecommendationFragment"
        android:name="com.vessel.app.foodrecommendation.ui.FoodRecommendationFragment"
        android:label="FoodRecommendationFragment" >
        <argument
            android:name="reagentId"
            app:argType="integer" />
        <action
            android:id="@+id/action_foodRecommendationFragment_to_reagentPersonalizingFragment"
            app:destination="@id/reagentPersonalizingFragment" />
    </fragment>
    <fragment
        android:id="@+id/waterRecommendationFragment"
        android:name="com.vessel.app.waterrecommendation.ui.WaterRecommendationFragment"
        android:label="WaterRecommendationFragment" >
        <action
            android:id="@+id/action_foodRecommendationFragment_to_reagentPersonalizingFragment"
            app:destination="@id/reagentPersonalizingFragment" />
    </fragment>
</navigation>
